/**
 * @brief The AVR Timer module
 * @details This file is used to interact with the hardware timers.
 * @author Jake G
 * @date 2024
 * @copyright None
 * @file TIMER.h
 */

#ifndef TIMER
#define TIMER

#include "inttypes.h"

/**
 *
 * @param a The first argument
 */

/**
 * The timer select clock function sets the divider to 256 assuming a
 * default clock diver of 6 is applied to the 20MHz crystal. This gives a
 * 13020.8333 Hz or approximatly 13.02Khz tick rate.
 */
void Timer_SelectClock(void);

#endif // TIMER
